#Include "albom_font.bi"

/'Type Albom_Font 
  w as integer 
  h as integer 
  d as ubyte ptr 
end Type'/

Extern Font8  alias "fb_font_8x8"  as Albom_Font
Extern Font14 alias "fb_font_8x14" as Albom_Font
Extern Font16 alias "fb_font_8x16" as Albom_Font

Dim _Font8_Array_(0 To 2047) As UByte'Integer
Dim _Font14_Array_(0 To 3583) As UByte
Dim _Font16_Array_(0 To 4095) As UByte

/'Screen 18:Width 80,60
Albom_Font_load()

For i = 0 To 2047
_Font8_Array_(i) = Font8.d[i]
Next

BSave("testfont8",@_Font8_Array_(0),2048)
BSave("testfont8-1",@Font8.d[0],2048)

For j=2 To 15
	For i=0 To 15
		?Chr(j*16+i);" ";
	Next
	?:?
Next

Sleep'/

/'Screen 9:Width 80,25
Albom_Font_load()

For i = 0 To 3583
_Font14_Array_(i) = Font14.d[i]
Next

BSave("testfont14",@_Font8_Array_(0),3584)
BSave("testfont14-1",@Font14.d[0],3584)

For j=2 To 15
	For i=0 To 15
		?Chr(j*16+i);" ";
	Next
	?:?
Next

Sleep'/

/'Screen 18:Width 80,30
Albom_Font_load()

For i = 0 To 4095
_Font16_Array_(i) = Font16.d[i]
Next

BSave("testfont16",@_Font8_Array_(0),4096)
BSave("testfont16-1",@Font16.d[0],4095)

For j=2 To 15
	For i=0 To 15
		?Chr(j*16+i);" ";
	Next
	?:?
Next

Sleep'/

Sub SaveFont(FntName As String,ScrMode As Integer,TxtLines As Integer,FontLength As Integer/',_FontX_Array_()As UByte'/,FontX As Albom_Font)
Dim As Integer i,j
	Screen ScrMode
	Width 80,TxtLines
	Albom_Font_load()
/'	For i = 0 To FontLength-1
		_FontX_Array_(i) = FontX.d[i]
	Next'/

'	BSave(FntName,@_FontX_Array_(0),FontLength)
'	BSave(FntName+"-1",@FontX.d[0],FontLength)
	BSave(FntName,@FontX.d[0],FontLength)

	For j=2 To 15
		For i=0 To 15
			?Chr(j*16+i);" ";
		Next
		?:?
	Next

	Sleep
End Sub

Select Case Command(1)
	Case "8"
		SaveFont("font8",18,60,2048/',_Font8_Array_()'/,Font8)
	Case "14"
		SaveFont("font14",9,25,3584/',_Font14_Array_()'/,Font14)
	Case "16"
		SaveFont("font16",18,30,4096/',_Font16_Array_()'/,Font16)
	Case Else
		? "save 8|14|16"
End Select
